Upgrade from F18 to F20 using Fedup with no reported errors fails

asked 2014-09-05 10:00:33 -0500

Nick Pierpoint gravatar image

updated 2014-09-05 10:49:51 -0500

mether gravatar image

I've tried to upgrade my system from F18 to F20 using Fedup.

Summary - After an apparently successful upgrade the system reboots into the old F18 system.

I've made a few attempts are have fixed the following issues along the way (mainly using http://fedoraproject.org/wiki/Common_... ):

  1. Ensured Fedup was updated to v0.8
  2. Turned SELINUX back on (or set to PERMISSIVE) and relabelled filesystem
  3. Removed some old conflicting packages that were highlighted as warnings
  4. Extended /var in LVM as it ran out of space

Following this I removed the following directories:

/var/lib/system-upgrade/
/var/tmp/system-upgrade/

Finally re-ran the network upgrade using fedup:

[root ~]# fedup --network 20

This downloaded the F20 packages and finished with no errors and a request to reboot:

(3279/3283): lockdev-1.0.4-0.11.20111007git.fc20.i686.rpm                 |  31 kB  00:00:00
(3280/3283): freedoom-0.7-5.fc20.noarch.rpm                               | 7.3 MB  00:00:19
(3281/3283): vegastrike-data-0.5.1-6.r1.fc20.noarch.rpm                   | 395 MB  00:29:14
(3282/3283): vdrift-data-20120722-6.fc20.noarch.rpm                       | 551 MB  00:32:51
(3283/3283): wesnoth-data-1.10.7-1.fc20.noarch.rpm                        | 315 MB  00:27:29
testing upgrade transaction
rpm transaction 100% [=====================================================================]
rpm install 100% [=========================================================================]
setting up system for upgrade
Finished. Reboot to start upgrade.
Packages without updates:
  AdobeReader_enu-9.5.5-1.i486
  GConf2-debuginfo-3.2.6-2.fc18.i686
  VirtualBox-4.0-4.0.16_75491_fedora15-1.i686
  adobe-release-i386-1.0-1.noarch
  adobeair-2.6.0-19170.i386
  alsa-lib-debuginfo-1.0.26-2.fc18.i686
  aplus-fsf-KAPL-fonts-4.22.4-21.fc16.noarch
  asm2-2.2.3-10.fc18.noarch
  atk-debuginfo-2.6.0-1.fc18.i686
  automake14-1.4p6-23.fc18.noarch
  automake15-1.5-29.fc13.1.noarch
  automake16-1.6.3-18.fc13.1.noarch
  automake17-1.7.9-17.fc18.noarch
  avahi-debuginfo-0.6.31-6.fc18.i686
  babl-debuginfo-0.1.10-4.fc18.i686
  bbciplayerdesktop.61db7a798358575d6a969ccd73ddbbd723a6da9d.1-3.0.10-1.i686
  bittorrent-4.4.0-16.fc15.noarch
  bittorrent-gui-4.4.0-16.fc15.noarch
  brasero-debuginfo-3.6.1-2.fc18.i686
  btparser-0.25-1.fc18.i686
  bzip2-debuginfo-1.0.6-7.fc18.i686
  cairo-debuginfo-1.12.14-2.fc18.i686
  compat-db-headers-4.7.25-20.fc17.noarch
  compat-db45-4.5.20-20.fc17.i686
  compat-db47-4.7.25-20.fc17.i686
  dbus-glib-debuginfo-0.100-3.fc18.i686
  directfb-1.6.2-1.fc18.i686
  easymock2-2.5.2-7.fc18.noarch
  eggdbus-0.6-2.fc13.i686
  etherboot-roms-kvm-5.4.4-18.fc13.noarch
  etherboot-zroms-kvm-5.4.4-18.fc13.noarch
  exempi-debuginfo-2.2.1-1.fc18.i686
  farsight2-debuginfo-0.0.25-2.fc15.i686
  firstboot-18.7-1.fc18.i686
  flash-plugin-11.2.202.400-release.i386
  fontconfig-debuginfo-2.10.2-2.fc18.i686
  freetype-debuginfo-2.4.10-5.fc18.i686
  gdk-pixbuf2-debuginfo-2.26.5-1.fc18.i686
  gegl-debuginfo-0.2.0-11.fc18.i686
  glib2-debuginfo-2.34.2-2.fc18.i686
  glibc-debuginfo-2.16-34.fc18.i686
  glibc-debuginfo-common-2.16-34.fc18.i686
  gnome-desktop-debuginfo-2.32.0-11.fc18.i686
  gnome-mag-0.16.2-5.fc18.i686
  gnome-media-debuginfo-3.4.0-4.fc18.i686
  gnome-speech-0.4.25-5.fc15.i686
  gnome-spell-1.0.8-5.fc9.i386
  google-earth-stable-6.0.3.2197-0.i386
  google-musicmanager-beta-1.0.117.4968-0.i386
  google-talkplugin-5.4.2.0-1.i386
  gstreamer-debuginfo-0.10.36-2.fc18.i686
  gstreamer-plugins-base-debuginfo-0.10.36-3.fc18.i686
  gtk2-debuginfo-2.24.19-1.fc18.i686
  gtkhtml2-2.11.1-11.fc15.i686
  gtkspell-debuginfo-2.0.16-5.fc18.i686
  ifd-egate-0.05-21.i586
  irrXML18-1.8-0.12.svn3629.fc18.i686
  irrlicht18-1.8-0.12.svn3629.fc18.i686
  jenkins-1.567-1.1.noarch
  kadu-0 ...
(more)
edit retag flag offensive close merge delete